Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class TextSpecInfoAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.TextSpecInfoAtom

    public final class TextSpecInfoAtom

extends RecordAtom

The special info runs contained in this text. Special info runs consist of character properties which don?t follow styles.

Author:
  Yegor Kozlov

Nested Class Summary
`static class` | `TextSpecInfoAtom.TextSpecInfoRun`

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` | `TextSpecInfoAtom(byte[] source, int start, int len)` Constructs the link related atom record from its source data.

Method Summary
`int` | `getCharactersCovered()` Get the number of characters covered by this records
`long` | `getRecordType()` Gets the record type.
`TextSpecInfoAtom.TextSpecInfoRun[]` | `getTextSpecInfoRuns()`
`void` | `reset(int size)` Reset the content to one info run with the default values
`void` | `setTextSize(int size)` Update the text length
`void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSpecInfoAtom

    protected TextSpecInfoAtom(byte[] source,
                               int start,
                               int len)

  Constructs the link related atom record from its source data.

  Parameters:
    `source` - the source data as a byte array.
    `start` - the start offset into the byte array.
    `len` - the length of the slice in the byte array.

Method Detail

### getRecordType

    public long getRecordType()

  Gets the record type.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs.

### setTextSize

    public void setTextSize(int size)

  Update the text length

  Parameters:
    `size` - the text length

### reset

    public void reset(int size)

  Reset the content to one info run with the default values

  Parameters:
    `size` - the site of parent text

### getCharactersCovered

    public int getCharactersCovered()

  Get the number of characters covered by this records

  Returns:
    the number of characters covered by this records

### getTextSpecInfoRuns

    public TextSpecInfoAtom.TextSpecInfoRun[] getTextSpecInfoRuns()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.